# $Revision: 1.21 $, $Date: 2008-01-23 22:23:24 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
%bcond_without	apidocs		# documentation generated with doxygen
#
Summary:	Free, cross platform, open-source, audio I/O library
Summary(pl.UTF-8):	Darmowa, międzyplatformowa i otwarta biblioteka I/O audio
Name:		portaudio
Version:	19
%define	snap	20071207
Release:	1.%{snap}.1
License:	LGPL-like
Group:		Libraries
Source0:	http://www.portaudio.com/archives/pa_stable_v%{version}_%{snap}.tar.gz
# Source0-md5:	d2943e4469834b25afe62cc51adc025f
Patch0:		%{name}-ac.patch
URL:		http://www.portaudio.com/
BuildRequires:	alsa-lib-devel >= 0.9
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PortAudio is a free, cross platform, open-source, audio I/O library.
It lets you write simple audio programs in 'C' that will compile and
run on many platforms including Windows, Macintosh (8,9,X), Unix
(OSS), SGI, and BeOS.

%description -l pl.UTF-8
PortAudio to darmowa, międzyplatformowa i otwarta biblioteka I/O
audio. Pozwala na pisanie prostych programów w "C", które będą się
kompilować i uruchamiać na wielu platformach, w tym Windows, Macintosh
(8,9,X), Unix (OSS), SGI, i BeOS.

%package devel
Summary:	Header files for PortAudio library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki PortAudio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib-devel >= 0.9
Requires:	jack-audio-connection-kit-devel

%description devel
Header files for PortAudio library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki PortAudio.

%package static
Summary:	Static PortAudio library
Summary(pl.UTF-8):	Statyczna biblioteka PortAudio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static PortAudio library.

%description static -l pl.UTF-8
Statyczna biblioteka PortAudio.

%package apidocs
Summary:	portaudio API documentation
Summary(pl.UTF-8):	Documentacja API portaudio
Group:		Documentation

%description apidocs
Documentation for portaudio API in HTML format generated from portaudio
sources by doxygen.

%description apidocs -l pl.UTF-8
Dokumentacja API portaudio w formacie HTML generowane ze
źrodeł portaudio przez doxygen.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no}

%{__make}
%{?with_apidocs:/usr/bin/doxygen}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt LICENSE.txt
%attr(755,root,root) %{_libdir}/libportaudio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libportaudio.so.2

%files devel
%defattr(644,root,root,755)
#%doc doc/html/* ???
%attr(755,root,root) %{_libdir}/libportaudio.so
%{_libdir}/libportaudio.la
%{_includedir}/portaudio.h
%{_pkgconfigdir}/portaudio-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libportaudio.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: portaudio.spec,v $
Revision 1.21  2008-01-23 22:23:24  qboosh
- ghost soname symlink

Revision 1.20  2008-01-16 17:02:07  twittner
- up to v19-20071207

Revision 1.19  2007-11-27 01:32:49  sls
- create apidocs using doxygen (idea from Fedora)

Revision 1.18  2007-02-13 08:06:41  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.16  2006/12/27 21:39:57  qboosh
- updated to "stable" 061121 v19 snapshot
- devel deps

Revision 1.15  2006/12/23 20:50:22  twittner
- rel. 2 - rebuild to acquire P:/R: libtool(*.la)

Revision 1.14  2006/10/08 11:53:32  qboosh
- we don't require pkgconfig just because -devel package has pkgconfig support

Revision 1.13  2006/09/26 18:54:30  twittner
- up to 19.20060926

Revision 1.12  2006/09/02 13:35:12  twittner
- passing CFLAGS fixed
- %%files corrected (wrong globs for library files, header files & dirs mess)

Revision 1.11  2006/02/20 18:53:06  qboosh
- unified

Revision 1.10  2005/06/06 21:30:40  qboosh
- missing dirs

Revision 1.9  2005/06/06 21:09:50  sardzent
- added devel headers

Revision 1.8  2005/06/06 20:54:27  averne
- added pablio header

Revision 1.7  2005/06/06 20:46:58  averne
- fixed to build on amd64

Revision 1.6  2005/05/03 09:12:27  qboosh
- grrr, this is snapshot (taken at 20050226), not any release

Revision 1.5  2005/02/27 00:48:34  qboosh
- missing BRs, set libportaudio SONAME

Revision 1.4  2005/02/26 14:05:52  kolodko
- up to ver 19 from Grzegorz Grasza <grozo (at) pawlacz.com>
- added sed -i -e 's@"-g -O2 -Wall"@"%{rpmcflags}"@' configure*

Revision 1.3  2005/01/11 22:00:21  qboosh
- cleanup

Revision 1.2  2005/01/11 21:01:06  adamg
- pass CFLAGS
- pl diatrics
- cosmetics
- adapterized (description wrap, %%changelog, CVS tags)
